<?php

namespace Drupal\charts_highcharts_maps\Controller;

use Drupal\Component\Serialization\Json;
use Drupal\Core\Access\AccessResultInterface;
use Drupal\Core\Controller\ControllerBase;
use Drupal\taxonomy\TermInterface;
use Symfony\Component\HttpFoundation\JsonResponse;

class MapDataController extends ControllerBase {

  public function json(string $json_field_name, TermInterface $taxonomy_term) {
    $json = $taxonomy_term->{$json_field_name}->value ?? '{}';
    return new JsonResponse(Json::decode($json));
  }

  public function checkAccess(string $json_field_name, TermInterface $taxonomy_term): AccessResultInterface {
    return $taxonomy_term->access('view', $this->currentUser(), TRUE);
  }

}
